access.hpp File Reference

Access control and default construction. More...

`#include <type_traits>`
`#include <iostream>`
`#include <cstdint>`
`#include <functional>`
`#include "cereal/macros.hpp"`
`#include "cereal/specialize.hpp"`
`#include "cereal/details/helpers.hpp"`

Go to the source code of this file.

## Classes

struct | cereal::LoadAndConstruct< T >
| A class that allows cereal to load smart pointers to types that have no default constructor. More...
class | cereal::construct< T >
| Used to construct types with no default constructor. More...
class | cereal::access
| A class that can be made a friend to give cereal access to non public functions. More...

## Detailed Description

Access control and default construction.